Subject: Re: [PATCH 2/4] [POWERPC] 85xx: support for the TQM8548 module using the big Flash

From: Wolfgang Grandegger <[email-masked]>
Date: Fri, 30 May 2008 20:02:44 +0200

Anton Vorontsov wrote:
> On Fri, May 30, 2008 at 08:49:46AM +0200, Wolfgang Grandegger wrote:
>> Some TQM85xx boards could be equipped with up to 1 GiB (NOR) flash
>> memory and therefore a modified memory map is required and setup by
>> the board loader. This patch adds an appropriate DTS file.
>>
>> Signed-off-by: Wolfgang Grandegger <[email-masked]>
>> ---
> [...]
>> +/* NAND support must be enabled in U-Boot before Linux can use it
> 
> nand/fsl_upm.c can detect this in run-time. That is, if BRx/ORx aren't
> configured, fsl_upm_find() will return ENODEV/ENOENT/EINVAL, depending
> on what exactly is mis-configured.

Ah, I saw that and I could test UPBx configuration for the CAN as well.

Wolfgang.